program main
!  Purpose:
!  Estimate parameters used in
!  "Income Risk, Consumption Inequality, and Macroeconomy."
!
!  Record of revisions:
!     Date      Programmer   Description of change
!  ==========   ==========   =====================
!  11/26/2010   T. Yamada    Original code
	include 'link_fnl_shared.h'
	use nrtype,only:dp
	use mod_calibration
	use mod_variables
	use mod_generate_grid
	use mod_preamble
	implicit none

	call cpu_time(time_begin)
	write(*,*) "Start Estimation of a Life Cycle Model"
	write(*,*) ""

	!/* set exogenous variables */
	call set_initial

	!/* survival probability & demographics */
	call demographics

	!/* grid for financial asset */
	call grid_double_exp(amin,amax,na,grcap1)
	call grid_double_exp(amin,amax,nd,grcap2)

	!****** outer loop ******
	call outer_loop

	!/* computation time */
	call cpu_time(time_end)
	write(*,*) "Program Finished Sucessfully in", time_end-time_begin, "Seconds"
	open(10,file='computation_time.txt')
		write(10,*) "Program Finished Sucessfully in", time_end-time_begin, "Seconds"
	close(10)

end program main